6.0.0-git
2019-05-26

[#7806] Add a rewrite rule for the repository parameter
Summary Add a rewrite rule for the repository parameter
Queue Chora
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2008-12-24 (3805 days ago)
Due
Updated 2010-08-01 (3220 days ago)
Assigned
Resolved 2010-08-01 (3220 days ago)
Milestone
Patch No

History
2010-08-01 00:27:50 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Done in master.
2010-07-31 02:17:09 Chuck Hagenbuch Taken from Michael Rubinsky
Version ⇒ Git master
 
2008-12-24 19:56:15 Chuck Hagenbuch New Attachment: chora_repo_rules.txt Download
 
2008-12-24 19:55:23 Chuck Hagenbuch Assigned to Michael Rubinsky
 
2008-12-24 19:54:50 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Add a rewrite rule for the repository parameter
Queue ⇒ Chora
Assigned to Chuck Hagenbuch
Milestone ⇒
Patch ⇒ No
Reply to this comment
Add a rule for specifying the repository (currently the rt get 
parameter, though that's a bit obtuse and might change) in a pretty 
URL. Suggested syntax:



.../chora/REPOSITORY_NAME/-/PATH/...



So the /-/ separates the repo name from the rest of the path, to 
eliminate potential ambiguity and simplify the rule.

Saved Queries